Skip to main content
GET
/
watchtower
/
monitor
/
agents
/
{agent_id}
/
sessions
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_state": "<string>",
      "auth_transaction_id": "<string>",
      "auth_client_id": "<string>",
      "oauth_callback_seen_at": "2023-11-07T05:31:56Z",
      "agent_session_id": "<string>",
      "initialize_seen_at": "2023-11-07T05:31:56Z",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_email": "<string>",
      "user_name": "<string>",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_seen_at": "2023-11-07T05:31:56Z",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "revoked_reason": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "has_more": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

agent_id
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 200
cursor
string | null
workspace_id
string<uuid> | null
state
string | null

Response

Successful Response

Paginated response for Watchtower sessions.

items
WatchtowerAgentSessionRead · object[]
required
next_cursor
string | null
has_more
boolean
default:false